Ruby yajl-ruby gem 安全漏洞

QQ空间 新浪微博 微信 QQ facebook twitter
漏洞ID 1132192 漏洞类型 格式化字符串错误
发布时间 2017-11-08 更新时间 2020-03-11
CVE编号 CVE-2017-16516 CNNVD-ID CNNVD-201711-168
漏洞平台 N/A CVSS评分 5.0
|漏洞来源
http://www.cnnvd.org.cn/web/xxk/ldxqById.tag?CNNVD=CNNVD-201711-168
|漏洞详情
Ruby是日本软件开发者松本行弘所研发的一种跨平台、面向对象的动态类型编程语言。yajl-ruby gem是其中的一个基于流的解析库。 Ruby yajl-ruby gem 1.3.0版本中的yajl_encode.c文件的‘yajl_string_decode’函数存在安全漏洞。攻击者可利用该漏洞造成拒绝服务(崩溃)。
|参考资料

来源:MISC
链接:https://github.com/brianmario/yajl-ruby/issues/176
来源:MISC
链接:https://rubygems.org/gems/yajl-ruby